%define upstream_name    MooseX-Types-DateTime-MoreCoercions
%define upstream_version 0.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Extensions to L<MooseX::Types::DateTime>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DateTime) >= 0.430.200
BuildRequires: perl(DateTime::Duration) >= 0.430.200
BuildRequires: perl(DateTimeX::Easy) >= 0.85.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Moose) >= 0.410.0
BuildRequires: perl(MooseX::Types) >= 0.40.0
BuildRequires: perl(MooseX::Types::DateTime) >= 0.70.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.40.0
BuildRequires: perl(Test::Exception) >= 0.270.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::use::ok) >= 0.20.0
BuildRequires: perl(Time::Duration::Parse) >= 0.60.0
BuildRequires: perl(namespace::clean) >= 0.80.0
BuildArch:  noarch

%description
This module builds on the MooseX::Types::DateTime manpage to add additional
custom types and coercions. Since it builds on an existing type, all
coercions and constraints are inherited.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.150.0-6.mga9
+ Revision: 1804793
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.150.0-5.mga8
+ Revision: 1495687
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-4.mga7
+ Revision: 1269637
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-3.mga6
+ Revision: 1030699
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 969408
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 868576
- update to 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 741944
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 660530
- update to 0.14

* Fri Aug 01 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 659073
- update to 0.13

* Tue Jul 22 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 655474
- update to 0.12

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 513245
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 0.110.0-1.mga3
+ Revision: 330249
- update to 0.11

* Wed Nov 28 2012 shlomif <shlomif> 0.100.0-1.mga3
+ Revision: 322603
- imported package perl-MooseX-Types-DateTime-MoreCoercions


* Wed Nov 28 2012 cpan2dist 0.10-1mga
- initial mageia release, generated with cpan2dist
